View Issue Details

IDProjectCategoryView StatusLast Update
0003772SymmetricDSBugpublic2018-11-28 11:00
ReporterelongAssigned Toelong 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.9.15 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003772: Cannot inactive table for sync when one of triggers is missing
DescriptionIf one of the SYM insert, update, or delete triggers is missing on a table, and the table trigger is disabled or removed from the configuration, the sync triggers process will get errors every time it runs.

ERROR [server-oracle_dev] [TriggerRouterService] [server-oracle_dev-sync-triggers-1] Error while dropping triggers for table MARKDOWNS (org.jumpmind.symmetric.service.impl.TriggerRouterService.dropTriggers(TriggerRouterService.java:1381))
org.jumpmind.db.sql.SqlException: ORA-04080: trigger 'SYM_ON_I_FOR_MRKDWNS_SRVR' does not exist
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:302)
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:291)
    at org.jumpmind.db.sql.JdbcSqlTransaction.executeCallback(JdbcSqlTransaction.java:398)
    at org.jumpmind.db.sql.JdbcSqlTransaction.execute(JdbcSqlTransaction.java:300)
    at org.jumpmind.symmetric.db.AbstractSymmetricDialect.removeTrigger(AbstractSymmetricDialect.java:336)
    at org.jumpmind.symmetric.db.AbstractSymmetricDialect.removeTrigger(AbstractSymmetricDialect.java:318)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.dropTriggers(TriggerRouterService.java:1347)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService$1.run(TriggerRouterService.java:1323)
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    at java.lang.Thread.run(Thread.java:745)
Caused by: java.sql.SQLException: ORA-04080: trigger 'SYM_ON_I_FOR_MRKDWNS_SRVR' does not exist
    at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:445)
    at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:396)
    at oracle.jdbc.driver.T4C8Oall.processError(T4C8Oall.java:879)
    at oracle.jdbc.driver.T4CTTIfun.receive(T4CTTIfun.java:450)
    at oracle.jdbc.driver.T4CTTIfun.doRPC(T4CTTIfun.java:192)
    at oracle.jdbc.driver.T4C8Oall.doOALL(T4C8Oall.java:531)
    at oracle.jdbc.driver.T4CStatement.doOall8(T4CStatement.java:193)
    at oracle.jdbc.driver.T4CStatement.executeForRows(T4CStatement.java:1026)
    at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1329)
    at oracle.jdbc.driver.OracleStatement.executeInternal(OracleStatement.java:1909)
    at oracle.jdbc.driver.OracleStatement.execute(OracleStatement.java:1871)
    at oracle.jdbc.driver.OracleStatementWrapper.execute(OracleStatementWrapper.java:318)
    at org.apache.commons.dbcp.DelegatingStatement.execute(DelegatingStatement.java:264)
    at org.apache.commons.dbcp.DelegatingStatement.execute(DelegatingStatement.java:264)
    at org.jumpmind.db.sql.JdbcSqlTransaction$3.execute(JdbcSqlTransaction.java:307)
    at org.jumpmind.db.sql.JdbcSqlTransaction$3.execute(JdbcSqlTransaction.java:1)
    at org.jumpmind.db.sql.JdbcSqlTransaction.executeCallback(JdbcSqlTransaction.java:396)
    ... 10 more
Steps To Reproduce1. Setup a table to sync.
2. Manually drop one of the triggers in the database
3. Change configuration to remove the table from sync
4. Run sync triggers as often as you like, it will get errors each time

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 3b03c857

2018-10-29 15:35:04

admin

Details Diff
0003772: Cannot inactive table for sync when one of triggers is missing
0003772
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: 3.10 8e4dba64

2018-10-29 15:35:04

admin

Details Diff
0003772: Cannot inactive table for sync when one of triggers is missing
0003772
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-10-29 15:32 elong New Issue
2018-10-29 15:32 elong Status new => assigned
2018-10-29 15:32 elong Assigned To => elong
2018-10-29 15:43 elong Status assigned => resolved
2018-10-29 15:43 elong Resolution open => fixed
2018-10-29 15:43 elong Fixed in Version => 3.9.15
2018-10-29 16:00 admin Changeset attached => SymmetricDS 3.9 3b03c857
2018-10-31 14:59 mmichalek Status resolved => closed
2018-11-28 11:00 admin Changeset attached => SymmetricDS 3.10 8e4dba64